#!/bin/bash
#Copyright (c) 2012, Novell, Inc.  All rights reserved.

user_id=`id -u`
if test $user_id -ne 0
then
	echo "afp_retrieve_proxy_cred.sh : Only root user can run this script"
	exit 1
fi

COMPRXUSRLOGFILE=/var/opt/novell/log/proxymgmt/pxymgmt.log

proxyuserCred=$1
filepath=$2
if test $(echo "$proxyuserCred" | tr -s '[:upper:]' '[:lower:]') = $(echo "username" | tr -s '[:upper:]' '[:lower:]'); then
var=`/opt/novell/afptcpd/bin/retrieve_proxy_creds $proxyuserCred`
out=$?
if test $out -ne 0
then
	echo -e "Retrieve AFP Proxy credentials has returned : $out" >> $COMPRXUSRLOGFILE
	exit $out
fi
sed 's/\.\([a-zA-Z]\+=\)/,\1/g' <<< "$var"  > $filepath
else
/opt/novell/afptcpd/bin/retrieve_proxy_creds $proxyuserCred > $filepath
out=$?
fi
echo -e "Retrieve AFP Proxy credentials has returned : $out" >> $COMPRXUSRLOGFILE
exit $out

