#!/bin/sh
#
#Copyright (c) 2010, Novell, Inc.  All rights reserved.
#
#Script to update NMAS client with AFP LCM data

user_id=`id -u`
if test $user_id -ne 0
then 
	echo "attach_user_pwpolicy.sh : Only root user can run this script"
	exit 1
fi



 	    #install NMAS LCM
	    ARCH_64="x86_64"
	    SYS_ARCH=`uname -p`
	  #  echo "Architecture - $SYS_ARCH"
	    if [ $SYS_ARCH == $ARCH_64 ]
	    then
	    	if [ -f "/etc/nmasclnt64.conf" ]
	    	then
		   AFPENTRY=`grep libafplinlcm.so /etc/nmasclnt64.conf`
		   FOUNDAFP=$?
		   if [ $FOUNDAFP -ne 0 ]
		   then	 
	    	   	/opt/novell/eDirectory/bin/ncc64 -ma 693 module=libafplinlcm.so network_func=afplinlcm

		   fi	
	    	else
			/opt/novell/eDirectory/bin/ncc64 -c create
			/opt/novell/eDirectory/bin/ncc64 -ma 693 module=libafplinlcm.so network_func=afplinlcm
#/opt/novell/nmas/client/bin/ncc64 -c create
#	    	   /opt/novell/nmas/client/bin/ncc64 -ma 693 module=libafplinlcm.so network_func=afplinlcm
	    	fi	
            else
		if [ -f "/etc/nmasclnt.conf" ]
	    	then
	    	   AFPENTRY=`grep libafplinlcm.so /etc/nmasclnt.conf`
		   FOUNDAFP=$?
		   if [ $FOUNDAFP -ne 0 ]
		   then	 
	    	   	/opt/novell/eDirectory/bin/ncc -ma 693 module=libafplinlcm.so network_func=afplinlcm

		   fi	 
	    	else
            	   /opt/novell/eDirectory/bin/ncc -c create
	    	   /opt/novell/eDirectory/bin/ncc -ma 693 module=libafplinlcm.so network_func=afplinlcm
	    	fi	
            fi

	ERRVAL=$?
	if [ $ERRVAL == -16024 ] || [ $ERRVAL == 104 ]
	then
	 exit 0
        fi

	exit $ERRVAL
